Altimax\Apidae\Core\Entity\SitraDescriptifsThematises:
  type: entity
  table: sitra_descriptifs_thematises
  repositoryClass: Altimax\Apidae\Core\Repository\SitraDescriptifsThematises
  indexes:
    objet_idx:
      columns:
        - objet_id
    element_reference_idx:
      columns:
        - element_reference_id
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    description:
      type: text
      nullable: false
      unsigned: false
      comment: ''
      column: description
  manyToOne:
    elementReference:
      targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
      cascade: [ "persist", "remove" ]
      mappedBy: null
      inversedBy: null
      joinColumns:
        element_reference_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
    objet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
      cascade: {  }
      mappedBy: null
      inversedBy: descriptifsThematises
      joinColumns:
        objet_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  lifecycleCallbacks: {  }

